CVE-2016-4338

The mysql user parameter configuration script (userparameter_mysql.conf) in the agent in Zabbix before 2.0.18, 2.2.x before 2.2.13, and 3.0.x before 3.0.3, when used with a shell other than bash, allows context-dependent attackers to execute arbitrary code or SQL commands via the mysql.size parameter.

Published : 2017-01-23 21:59 Updated : 2018-10-09 20:00

6.8
CVSS Score More info
Score 6.8 / 10
6.8
Vendor Product Version URI
Zabbix Zabbix 2.2.2 cpe:/a:zabbix:zabbix:2.2.2:-
Zabbix Zabbix 2.2.1 cpe:/a:zabbix:zabbix:2.2.1:-
Zabbix Zabbix 2.2.0 cpe:/a:zabbix:zabbix:2.2.0:-
Zabbix Zabbix 2.0.0 cpe:/a:zabbix:zabbix:2.0.0
Zabbix Zabbix 2.0.11 cpe:/a:zabbix:zabbix:2.0.11
Zabbix Zabbix 2.0.1 cpe:/a:zabbix:zabbix:2.0.1
Zabbix Zabbix 2.0.10 cpe:/a:zabbix:zabbix:2.0.10
Zabbix Zabbix 2.0.2 cpe:/a:zabbix:zabbix:2.0.2
Zabbix Zabbix 2.0.3 cpe:/a:zabbix:zabbix:2.0.3
Zabbix Zabbix 2.0.4 cpe:/a:zabbix:zabbix:2.0.4
Zabbix Zabbix 2.0.15 cpe:/a:zabbix:zabbix:2.0.15
Zabbix Zabbix 2.0.5 cpe:/a:zabbix:zabbix:2.0.5
Zabbix Zabbix 2.2.10 cpe:/a:zabbix:zabbix:2.2.10
Zabbix Zabbix 2.0.14 cpe:/a:zabbix:zabbix:2.0.14
Zabbix Zabbix 2.0.6 cpe:/a:zabbix:zabbix:2.0.6
Zabbix Zabbix 2.2.11 cpe:/a:zabbix:zabbix:2.2.11
Zabbix Zabbix 2.2.4 cpe:/a:zabbix:zabbix:2.2.4
Zabbix Zabbix 2.0.13 cpe:/a:zabbix:zabbix:2.0.13
Zabbix Zabbix 2.0.7 cpe:/a:zabbix:zabbix:2.0.7
Zabbix Zabbix 2.2.12 cpe:/a:zabbix:zabbix:2.2.12
Zabbix Zabbix 2.2.5 cpe:/a:zabbix:zabbix:2.2.5
Zabbix Zabbix 2.0.12 cpe:/a:zabbix:zabbix:2.0.12
Zabbix Zabbix 2.0.8 cpe:/a:zabbix:zabbix:2.0.8
Zabbix Zabbix 2.2.6 cpe:/a:zabbix:zabbix:2.2.6
Zabbix Zabbix 2.0.9 cpe:/a:zabbix:zabbix:2.0.9
Zabbix Zabbix 2.2.7 cpe:/a:zabbix:zabbix:2.2.7
Zabbix Zabbix 2.2.8 cpe:/a:zabbix:zabbix:2.2.8
Zabbix Zabbix 2.0.17 cpe:/a:zabbix:zabbix:2.0.17
Zabbix Zabbix 2.2.9 cpe:/a:zabbix:zabbix:2.2.9
Zabbix Zabbix 2.0.16 cpe:/a:zabbix:zabbix:2.0.16
Zabbix Zabbix 3.0.2 cpe:/a:zabbix:zabbix:3.0.2
Zabbix Zabbix 3.0.0 cpe:/a:zabbix:zabbix:3.0.0
Zabbix Zabbix 2.2.3 cpe:/a:zabbix:zabbix:2.2.3:-
  1. Zabbix (1) Search CVE
    1. Zabbix (33) Search CVE
      1. 2.2.2
      2. 2.2.1
      3. 2.2.0
      4. 2.0.0
      5. 2.0.11
      6. 2.0.1
      7. 2.0.10
      8. 2.0.2
      9. 2.0.3
      10. 2.0.4
      11. 2.0.15
      12. 2.0.5
      13. 2.2.10
      14. 2.0.14
      15. 2.0.6
      16. 2.2.11
      17. 2.2.4
      18. 2.0.13
      19. 2.0.7
      20. 2.2.12
      21. 2.2.5
      22. 2.0.12
      23. 2.0.8
      24. 2.2.6
      25. 2.0.9
      26. 2.2.7
      27. 2.2.8
      28. 2.0.17
      29. 2.2.9
      30. 2.0.16
      31. 3.0.2
      32. 3.0.0
      33. 2.2.3

CWE

ID Name Description Links
CWE-89 Improper Neutralization of Special Elements used in an SQL Command ('SQL Injection') The software constructs all or part of an SQL command using externally-influenced input from an upstream component, but it does not neutralize or incorrectly neutralizes special elements that could modify the intended SQL command when it is sent to a downstream component. CVE

History of changes